#2433 contrib/ci/run script: Required user input on debian
Closed: Fixed None Opened 6 years ago by lslebodn.

I tried to run ci script on debian and it hanged. After a while I realized that user input is required while kerberos is installed. CI mustn't depend on user input.

$ cd /tmp/sssd
$ contrib/ci/run
install-deps:           Default Kerberos version 5 realm:

Fields changed

owner: somebody => nkondras

This is debconf trying to configure the package. As a workaround run "dpkg-reconfigure debconf" and raise minimum question priority. In my case "high" (the installation default) works. I'll see about a fix. Thank you.

We don't need any workaround. If somebody hit enter installation will continue.

Fields changed

milestone: NEEDS_TRIAGE => SSSD Continuous integration

Fields changed

component: SSSD => Continuous integration

Fields changed

rhbz: => 0

Fields changed

mark: => 0
owner: nkondras => lslebodn
patch: 0 => 1
sensitive: => 0
status: new => assigned

resolution: => fixed
status: assigned => closed

Metadata Update from @lslebodn:
- Issue assigned to lslebodn
- Issue set to the milestone: SSSD Continuous integration

4 years ago

SSSD is moving from Pagure to Github. This means that new issues and pull requests
will be accepted only in SSSD's github repository.

This issue has been cloned to Github and is available here:
- https://github.com/SSSD/sssd/issues/3475

If you want to receive further updates on the issue, please navigate to the github issue
and click on subscribe button.

Thank you for understanding. We apologize for all inconvenience.

Login to comment on this ticket.

Metadata